ln_rst_time(3)

NAME
ln_rst_time - Rise, Set and Transit times.

SYNOPSIS

#include <ln_types.h>

  Data Fields
double rise
double set
double transit

Detailed Description

Rise, Set and Transit times. Contains the Rise, Set and transit times for a body.

Angles are expressed in degrees.

Examples
asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Field Documentation

  double ln_rst_time::rise
Rise time in JD

Referenced by ln_get_body_next_rst_horizon_future(), ln_get_body_rst_horizon(), and ln_get_object_next_rst_horizon().

  double ln_rst_time::set
Set time in JD

Referenced by ln_get_body_next_rst_horizon_future(), ln_get_body_rst_horizon(), and ln_get_object_next_rst_horizon().

  double ln_rst_time::transit
Transit time in JD

Referenced by ln_get_body_next_rst_horizon_future(), ln_get_body_rst_horizon(), and ln_get_object_next_rst_horizon().

Author

Generated automatically by Doxygen for libnova from the source code.